MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Member Functions
MaskMonitor Class Referencefinal

Manage a bit mask of events that have occurred. More...

`#include <MaskMonitor.hxx>`

Inheritance diagram for MaskMonitor:
[legend]
Collaboration diagram for MaskMonitor:
[legend]

## Public Member Functions
| MaskMonitor (EventLoop &_loop, Callback _callback)
void | OrMask (unsigned new_mask)

## Protected Member Functions
void | RunDeferred () override

## Detailed Description

Manage a bit mask of events that have occurred.

Every time the mask becomes non-zero, OnMask() is called in EventLoop's thread.

This class is thread-safe.

Definition at line 35 of file MaskMonitor.hxx.

## Constructor & Destructor Documentation

MaskMonitor::MaskMonitor | ( | EventLoop & | _loop,
|  | Callback | _callback
| ) |  |
| inline

Definition at line 42 of file MaskMonitor.hxx.

## Member Function Documentation

void MaskMonitor::OrMask | ( | unsigned | new_mask | ) |

void MaskMonitor::RunDeferred | ( |  | ) |
| override protected virtual

Implements DeferredMonitor.

The documentation for this class was generated from the following file:

- event/MaskMonitor.hxx